Using SparkPostTransport Plugin with CakePHP 3.4 [SOLVED]


#1

Is anyone in the forum using the SparkPostTransport plugin from syntaxera?

I’m trying to use this with a Mailer, and I’m struggling to make sense of how get this to work.

Any ideas or discussion is welcomed!

Cheers, Arnold


#2

In short, the Syntaxera plugin works - but only for the deprecated version of the SparkPost API.

I’ve written a new Transport class based on their version and will be posting a blog article/tutorial with the code shortly.

Cheers, Arnold


#3

The tutorial is now ready…

Integrating the SparkPost API With CakePHP 3.4